OSGiBundleClassLoaderHelper broken on Felix #589

Closed
cclamb opened this Issue Mar 17, 2013 · 4 comments

Projects

None yet

5 participants

cclamb commented Mar 17, 2013

Hi; I've been trying to run JRuby in Apache Karaf and ran against this issue. If you look at the current version of OSGiBundleClassLoaderHelper in the repo, you'll see the class, on line 157, trying to read the m_modules field from the org.apache.felix.framework.BundleImpl class. Thing is, BundleImpl hasn't had this field since May 2011, so the lookup fails.

As a result, you can't submit an osgi bundle to the OSGiScriptingContainer on container creation.

  • chris lamb
Owner
enebo commented Mar 18, 2013

@cclamb since you have done some leg work on figuring out what is broken would it be possible for you to research a solution for this? I have not touched OSGi since pre-2 spec days and we have no resident OSGi person as a committer.

cclamb commented Mar 18, 2013

Sure, I'll see what I can do. I'm kinda an OSGi newbie, I'm having to use
in on a project I'm enaged with, but I understand that even my smidgen of
experience might make be the best suited for the job :)

I'm a bit swamped right now, but should be able to take a look in a few
weeks?

On Mon, Mar 18, 2013 at 9:53 AM, Thomas E Enebo notifications@github.comwrote:

@cclamb https://github.com/cclamb since you have done some leg work on
figuring out what is broken would it be possible for you to research a
solution for this? I have not touched OSGi since pre-2 spec days and we
have no resident OSGi person as a committer.


Reply to this email directly or view it on GitHubhttps://github.com/jruby/jruby/issues/589#issuecomment-15062778
.

dabdine commented Feb 8, 2014

Just FYI -- Saw this in v1.7.4, though I don't see it now in 1.7.10 so a fix for it likely snuck in within the .4-.10 maintenance releases.

cclamb commented Feb 8, 2014

Sounds good - we ended up working around via a different OSGi
implementation.

On Fri, Feb 7, 2014 at 6:49 PM, dabdine notifications@github.com wrote:

Just FYI -- Saw this in v1.7.4, though I don't see it now in 1.7.10 so a
fix for it likely snuck in within the .4-.10 maintenance releases.

Reply to this email directly or view it on GitHubhttps://github.com/jruby/jruby/issues/589#issuecomment-34524978
.

@mkristian mkristian added the osgi label Jun 25, 2014
@kares kares closed this Aug 23, 2015
@kares kares added this to the Invalid or Duplicate milestone Aug 23, 2015
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment